Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.addressbook.session.impl
Class AddressbookSessionServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.addressbook.session.impl.AddressbookSessionServiceImpl

All Implemented Interfaces:
  AddressbookSessionService

    public class AddressbookSessionServiceImpl

extends Object
implements AddressbookSessionService

Implementation of `AddressbookSessionService`

Constructor Summary
`AddressbookSessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)` Instantiates a new Addressbook service impl.

Method Summary
`GetOrganizationContactInfoResponse` | `getOrganizationContactInfo(GetOrganizationContactInfoRequest request)`
`GetProfessionalContactInfoResponse` | `getProfessionalContactInfo(GetProfessionalContactInfoRequest request)`
`SearchOrganizationsResponse` | `searchOrganizations(SearchOrganizationsRequest request)`
`SearchProfessionalsResponse` | `searchProfessionals(SearchProfessionalsRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressbookSessionServiceImpl

    public AddressbookSessionServiceImpl(SessionValidator sessionValidator,
                                         EhealthReplyValidator replyValidator)
                                  throws TechnicalConnectorException

  Instantiates a new Addressbook service impl.

  Parameters:
    `sessionValidator` - the sessionValidator
    `replyValidator` - the replyValidator
  Throws:
    `TechnicalConnectorException`

Method Detail

### getOrganizationContactInfo

    public GetOrganizationContactInfoResponse getOrganizationContactInfo(GetOrganizationContactInfoRequest request)
                                                                  throws TechnicalConnectorException

  Specified by:
    `getOrganizationContactInfo` in interface `AddressbookSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

### getProfessionalContactInfo

    public GetProfessionalContactInfoResponse getProfessionalContactInfo(GetProfessionalContactInfoRequest request)
                                                                  throws TechnicalConnectorException

  Specified by:
    `getProfessionalContactInfo` in interface `AddressbookSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

### searchOrganizations

    public SearchOrganizationsResponse searchOrganizations(SearchOrganizationsRequest request)
                                                    throws TechnicalConnectorException

  Specified by:
    `searchOrganizations` in interface `AddressbookSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

### searchProfessionals

    public SearchProfessionalsResponse searchProfessionals(SearchProfessionalsRequest request)
                                                    throws TechnicalConnectorException

  Specified by:
    `searchProfessionals` in interface `AddressbookSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.